[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#334592: marked as done (konqueror: PDF links with target="_blank" always use the embedded viewer)

Your message dated Fri, 16 Feb 2007 23:15:14 +0100
with message-id <2007021623151445@ekaia.org>
and subject line Closing bug 334592
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: konqueror
Version: 4:3.4.2-3
Severity: normal


I have configured Konqueror file associations so that application/pdf
content should be opened using a separate viewer application (which
happens to be acroread but this should not matter).

This works correctly with normal PDF links.

However, if the PDF link is defined with target="_blank" or similar,
it seems that Konqueror always tries to open the document in an
embedded viewer.

Earlier I tried various different combinations of configuration
settings and the only solution seemed to be to uninstall all packages
which provide embedded viewers for PDF documents.

This is particularly annoying as this incorrect behaviour is very hard
to prevent even if I happen to notice that the link points to a new
window. Right click + "open in this window" does not help; it then
uses an embedded viewer in the same window. Right click + "open with"
submenu does not show any PDF viewers yet as Konqueror does not know
what is the MIME type of the content. Thus, the only working solution
seems to be right click + "open with / other..." + manually choosing
acroread from the list of all applications.

Best regards,
Jukka Suomela

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.12-1-686
Locale: LANG=fi_FI, LC_CTYPE=fi_FI (charmap=ISO-8859-1)

Versions of packages konqueror depends on:
ii  kcontrol                  4:3.4.2-3      control center for KDE
ii  kdebase-kio-plugins       4:3.4.2-3      core I/O slaves for KDE
ii  kdelibs4c2                4:3.4.2-4      core libraries for all KDE applica
ii  kdesktop                  4:3.4.2-3      miscellaneous binaries and files f
ii  kfind                     4:3.4.2-3      file-find utility for KDE
ii  libart-2.0-2              2.3.17-1       Library of functions for 2D graphi
ii  libaudio2                 1.7-3          The Network Audio System (NAS). (s
ii  libc6                     2.3.5-7        GNU C Library: Shared libraries an
ii  libfontconfig1            2.3.2-1        generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libgamin0 [libfam0]       0.1.6-1        Client library for the gamin file 
ii  libgcc1                   1:4.0.2-2      GCC support library
ii  libice6                   6.8.2.dfsg.1-9 Inter-Client Exchange library
ii  libidn11                  0.5.18-1       GNU libidn library, implementation
ii  libjpeg62                 6b-10          The Independent JPEG Group's JPEG 
ii  libkonq4                  4:3.4.2-3      core libraries for Konqueror
ii  libpng12-0                1.2.8rel-5     PNG library - runtime
ii  libqt3-mt                 3:3.3.5-1      Qt GUI Library (Threaded runtime v
ii  libsm6                    6.8.2.dfsg.1-9 X Window System Session Management
ii  libstdc++6                4.0.2-2        The GNU Standard C++ Library v3
ii  libx11-6                  6.8.2.dfsg.1-9 X Window System protocol client li
ii  libxcursor1               1.1.3-1        X cursor management library
ii  libxext6                  6.8.2.dfsg.1-9 X Window System miscellaneous exte
ii  libxft2                   2.1.7-1        FreeType-based font drawing librar
ii  libxi6                    6.8.2.dfsg.1-9 X Window System Input extension li
ii  libxinerama1              6.8.2.dfsg.1-9 X Window System multi-head display
ii  libxrandr2                6.8.2.dfsg.1-9 X Window System Resize, Rotate and
ii  libxrender1               1:0.9.0-2      X Rendering Extension client libra
ii  libxt6                    6.8.2.dfsg.1-9 X Toolkit Intrinsics
ii  xlibs                     6.8.2.dfsg.1-9 X Window System client libraries m
ii  zlib1g                    1:1.2.3-6      compression library - runtime

konqueror recommends no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Submitter was asked to provide more information about this bug
( http://bugs.debian.org/334592 ) four weeks ago.

Since more info was not provided, we are closing the bug.
Feel free to reopen this bug if you are still experiencing this issue
and you have extra information on how reproduce the issue.

Ana Guerrero,
  on behalf of the Debian Qt/KDE team

--- End Message ---

Reply to: